#!/usr/bin/env python

import os
import logging
import argparse
import re
import azure_key_vault_report
import az_cmd
import ms_teams_json
import message_handler


vaults = """kv-thelma-dev
kv-thelma-prod
"""

vaults = """kv-safwrap-dev
kv-safwrap-prod
kv-safwrap-qa
kv-safwrap-shared
kv-thelma-backup
kv-thelma-dev
kv-thelma-docs
kv-thelma-prod
kv-thelma-qa
kv-thelma-shared
kv-thelma-test
kv-thelma-testing
"""


record_types = ["secret"]

# Runs all the az key vaults commands and add the results to the 'az_results' list
az_results = []
for vault in vaults.splitlines():
    az_results += az_cmd.az_cmd(vault, record_types, path="/opt/homebrew/bin")

# The report is generated by using the pip package ops-py-azure-key-vault-report
# If argument 'include_no_expiration' is not provided,
# the variable 'ignore_no_expiration' is then set to True
kv_report = azure_key_vault_report.AzureKeyVaultReport(az_results)
kv_report.parse_results()
kv_report.set_report_header()
kv_report.generate_report(include_all=True, teams_json=True)
report = kv_report.get_report()
print(report)

html = kv_report.get_html()

print(html)

'''
if "CertificateRenewal" in o.get("name") and "expires" in k:
    value = "2024-01-17"

if "ClientSecret" in o.get("name") and "expires" in k:
    value = "2024-01-10"
'''


